package org.bouil.twifip.tapestry.pages;

import org.apache.tapestry5.annotations.Import;
import org.apache.tapestry5.ioc.annotations.Inject;
import org.apache.tapestry5.services.AssetSource;
import org.apache.tapestry5.services.javascript.JavaScriptSupport;

@Import(library = {"context:js/angular/1.1.4/angular.min.js", "context:js/angular/1.1.4/angular-resource.min.js",
        "context:js/bootstrap.js", "context:js/bootstrap-tapestry.js", "context:js/jquery.timeout.js",
        "context:js/Index.js"})
public class Index {

    @Inject
    private JavaScriptSupport javaScriptSupport;

    @Inject
    private AssetSource assetSource;

    public String getImg() {
        return assetSource.getUnlocalizedAsset("context:img/twifip.jpg").toClientURL();
    }

    public String getBootstrap() {
        return assetSource.getUnlocalizedAsset("context:css/bootstrap-cosmo-2.3.1.min.css").toClientURL();
    }

    public String getCustomCss() {
        return assetSource.getUnlocalizedAsset("context:css/index.css").toClientURL();
    }

}
